# frozen_string_literal: true

# require vs. require_dependency for namespaced controllers
# https://github.com/rails/rails/commit/29d17d3ab65633695babc9123463c78248e41a67
require_dependency 'zuora_observability/application_controller'

module ZuoraObservability
  class MetricsController < ApplicationController
    # GET /connect/internal/data
    def metrics
      if params[:type] == 'stats'
        render json: Metrics.resque, status: :ok
      else
        render json: Metrics.versions, status: :ok
      end
    end
  end
end
